summaryrefslogtreecommitdiff
path: root/tests/sync/too-short-header
diff options
context:
space:
mode:
Diffstat (limited to 'tests/sync/too-short-header')
-rwxr-xr-xtests/sync/too-short-header18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/sync/too-short-header b/tests/sync/too-short-header
new file mode 100755
index 0000000..e7e844a
--- /dev/null
+++ b/tests/sync/too-short-header
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+TEST="$0"
+OUT="reports/$TEST/stdout"
+ERR="reports/$TEST/stderr"
+
+../server -s - > "$OUT" 2> "$ERR" << EOF
+SYNC 18
+START = 10
+END = 20
+EOF
+
+if [ -s "$OUT" ]; then
+ echo "Expected no output, but something showed up"
+ exit 1
+fi